| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingVoid Class Reference
Utililty classes

The PendingVoid class is a generic subclass of PendingOperation representing a pending D-Bus method call that does not return anything (or returns a result that is not interesting). More...

`#include <TelepathyQt/PendingVoid>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingVoid (QDBusPendingCall call, const SharedPtr< RefCounted > &object)

## Detailed Description

The PendingVoid class is a generic subclass of PendingOperation representing a pending D-Bus method call that does not return anything (or returns a result that is not interesting).

## Constructor & Destructor Documentation

Tp::PendingVoid::PendingVoid | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Construct a new PendingVoid object.

Parameters:

  object | The object on which this pending operation takes place.
  call | A pending call as returned by the auto-generated low level Telepathy API; if the method returns anything, the return value(s) will be ignored.